Subject: bug#27446: 25.1; Crashing on rendering of Font

From: Stefan Kangas <[email-masked]>
Date: Mon, 04 Nov 2019 10:27:11 +0100

Mike Dupont <[email-masked]> writes:

> see core file. Anyway, If this is not a problem then it is not a
> problem. I am using the debian versions mentioned, can you try them?

I tried displaying the below file on current master and Emacs 26.1 but
didn't see any crashes.  Are you still seeing this on Emacs 26 or
later?

If I don't hear back from you within a couple of weeks, I'll just
assume that this has been fixed and close this bug report.

Best regards,
Stefan Kangas

> On Tue, Jun 27, 2017 at 10:57 AM, handa <[email-masked]> wrote:
>> In article <[email-masked]>, Mike Dupont <[email-masked]> writes:
>>
>>> I made the file and the core available
>>> https://gist.github.com/h4ck3rm1k3/ad5d3d9927883c15a07d1b394c99d332
>>
>> Thank you.  I tried to display all portions of the above file, but
>> Emasc did not crash.
>>
>> ---
>> K. Handa
>> [email-masked]
>>
>>
>>> On Sat, Jun 24, 2017 at 2:30 AM, Eli Zaretskii <[email-masked]> wrote:
>>>>> From: handa <[email-masked]>
>>>>> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
>>>>> Date: Sat, 24 Jun 2017 13:03:25 +0900
>>>>>
>>>>> In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:
>>>>> [...]
>>>>> > > It shows line 2306, I was scrolling down.
>>>>>
>>>>> > Thanks.  CC'ing Handa-san, in the hope that he could look into this
>>>>> > issue.
>>>>>
>>>>> The file has hebrew, devanagari, gothic, Armenian charactes at around
>>>>> the line 2306.  But, I can't reproduce the crash.  Perhaps we are using
>>>>> different fonts.
>>> >
>>> > One problem might be that the results of the query on that page change
>>> > all the time.  So perhaps the file you were using is different from
>>> > what Mike tried.  Mike, does this happen with any query you run, or
>>> > just with the one you did back when you reported the crash?  If the
>>> > latter, can you make the file available somewhere?
>>> >
>>> > Thanks.
>>
>>
>>
>>> --
>>> James Michael DuPont
>>